@import url(./variables.css);
@import url(./reset.css);

.ex-title {
  font-size: var(--font-size-title);
  text-align: center;
  font-weight: 400;
  color: var(--color-primary);
  margin-top: 60px;
  text-transform: uppercase;
  text-shadow: 1px 3px 7px gray;
  letter-spacing: 1px;
  color: var(--color-primary);
}

.ex-container {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 60px;
  padding: 50px;
  margin: 10px 85px;
  max-height: 100%;
}

.ex-card {
  background-color: #f9f9f9;
  border: 1px solid none;
  border-radius: 7px;
  overflow: hidden;
  box-shadow: 0 10px 10px rgba(0, 0, 0, 0.1);
  max-height: 100%;
}

.learn-more {
  display: flex;
  justify-content: center;
  text-decoration: none;
  margin: 20px 0;
  color: var(--button-primary);
  font-size: var(--font-size-sub);
}

.learn-more:hover {
  text-shadow: 1px 1px 20px #4d7699;
}

.ex-image {
  display: block;
  max-width: 100%;
  height: auto;
  object-fit: cover;
}

.ex-name {
  font-size: var(--font-size-card-title);
  text-align: center;
  padding: 15px;
  font-family: rubik-regular;
  font-weight: 300;
  color: var(--color-primary);
}

.ex-description {
  font-size: var(--font-size-description);
  text-align: center;
  padding: 0 10px;
  color: var(--color-secondary);
}

/* Media Queries */

@media only screen and (max-width: 1090px) {
  .ex-container {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 30px;
    margin: 20px;
  }
}

@media (max-width: 768px) {
  .ex-container {
    display: grid;
    grid-template-columns: 1fr;
    gap: 30px;
    margin: 20px;
  }
}

@media (max-width: 376px) {
  .ex-container {
    display: grid;
    grid-template-columns: 1fr;
    gap: 30px;
    margin: 20px;
  }

  .ex-title {
    font-size: 1.8rem;
  }

  .ex-name {
    font-size: 1.5rem;
  }

  .ex-description {
    font-size: 1rem;
  }

  .learn-more {
    font-size: 1rem;
  }
}
